 task filter_bed {
	File bed
	File benchmark_region
	String docker
	String cluster_config
	String disk_size
	
	command <<<
	
		/opt/ccdg/bedtools-2.27.1/bin/bedtools intersect -a ${benchmark_region} -b ${bed} > benchmark_region_query_bed.bed

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File filtered_bed = "benchmark_region_query_bed.bed"
	}
}